
Foreman - Bug #29493

Can't search Hosts/Hostgroup by Parameter

04/07/2020 09:54 AM - Lars Wagner

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Host groups   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If I try to search a host or hostgroup by a paramter like:

has params.myparameter

 This gives me in the hosts section the following error:

undefined method `table_name' for nil:NilClass

 and in the host group search the following error:

Invalid search query: Field 'params.myparam' not recognized for searching!

 We are running foreman version 1.24.2.

If you need any further information, just let me know.

Related issues:

Related to Foreman - Bug #29683: Unable to search by value of certain Hostgro... Closed

History

#1 - 05/04/2020 01:41 PM - Lars Wagner

- Related to Bug #29683: Unable to search by value of certain Hostgroup parameter added

#2 - 03/05/2021 03:59 PM - Lars Wagner

The error is still the same on the latest foreman release 2.3.3. Might somebody be able to have a look into it? The problem is the same for the host

and hostgroup search:

undefined method `table_name' for nil:NilClass

#3 - 03/05/2021 04:00 PM - Lars Wagner

- Category set to Host groups

#4 - 03/25/2021 04:51 PM - Lars Wagner

- Status changed from New to Resolved

Parameters can be search liked that:

params.myparam != ""
